
Robotics Systems Types - Bug #1311
debian packages out-dated
12/19/2012 06:40 PM - C. Emmerich

Status: Resolved Start date: 12/19/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.7
Description

It seems, that the (rst) debian packages on the package server are not up-to-date altough the packages are correctly build on the
jenkins. For instance, when checking out rst0.7 the recently added BoundingBox-types are included in the sandbox, but when
installing the corresponding debian package they are missing.

Talked already to Jan about that, maybe he can add some more (valuable) infos here.

Related issues:
Blocked by Robotics Service Bus - Bug # 1251: The current versioning scheme o... Resolved 11/22/2012

Associated revisions
Revision 1a5336c8 - 01/10/2013 05:29 PM - J. Wienke

Ensure that generated packages have a version greater than one that used
to be generated.

    -  Increment patch version by 100

fixes #1311

History
#1 - 12/19/2012 06:40 PM - C. Emmerich
- Target version set to rsb-0.7

#2 - 12/19/2012 07:01 PM - J. Moringen

The Debian packages do get generated by our CI jobs, but the currently generated versions are considered older than the versions in our repository.
This seems to happen because the "patch" component of the project version decreased (which is generated based on information extracted from the
GIT repository) at some point.

This version "drop" is probably a result of recent changes to project:rsc 's the DefineProjectVersion macro.

I think, Johannes is already working on this.

#3 - 01/10/2013 05:23 PM - J. Wienke
- Category set to Build System
- Assignee changed from J. Moringen to J. Wienke

Looking at this again I don't think this is a result of the cmake macro changes. I suspect we changed the RST repository at some point in time, which
resulted in this behavior. So we need a specific fix just for rst 0.7 at the moment.
#4 - 01/10/2013 05:32 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:1a5336c8949c19576f3b0633fae18397aa60e2d8.

#5 - 01/10/2013 05:36 PM - J. Wienke

The state of 0.8 will be automatically resolved once we rename the existing release to 0.9, as planned in #1251.

#6 - 01/12/2013 12:53 PM - Anonymous
- Status changed from Resolved to New
- % Done changed from 100 to 50

Some problem for rst0.8 packages. Current packages have a version like
rst0.8-0.8.0-b...

which - regardless of the build number - is beaten by the package version
rst0.8_0.8.102-b...

(the current version on our package server, note the patch version 0 vs. 102)

#7 - 01/12/2013 01:20 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 50 to 100

See my comment before. That's the reason why we need to do the version bump.
